function y=acor(x,i)

% ACOR - Sample Autocorrelations. Ver. 1.1.
% 
% (c) 1997 by Marco A. Maffezzoli
%
% Sintax:     y = acor(x,i);
% 
% Input:      x = (nxm) matrix of m series of n obs;
%             i = autocorrelation's lag;
%
% Output:     y = (1xm) vector of autocorrelations.
%

n=size(x,1);
if n>i+1;
   z=mean(x);
   x=x-z(ones(n,1),:);
   y=diag((x(1+i:n,:)'*x(1:n-i,:))./(x'*x))';
else
   error('Not enough observations !');
end;