function z=corr(x,y,i)

% CORR - Sample Correlations. Ver. 1.
% 
% (c) 1998 by Marco A. Maffezzoli
%
% Sintax:     y = corr(x,y,i);
% 
% Input:      x = (nxm) matrix of m series of n obs;
%             i = autocorrelation's lag;
%
% Output:     y = (1xm) vector of autocorrelations.
%

n=size(x,1);
w=size(y,1);
if n~=w;
   error('Different number of observations !');
end;
if n>i+1;
   z=corrcoef(x(1+i:n,:),y(1:n-i,:));
else
   error('Not enough observations !');
end;