function [h,mv,er]=kpr(muu,mus,mue,mu0,mu1,ms0,ms1,me0,me1,fvu,fvv,fvl,rho);
% KPR - The King, Plosser and Rebelo (1988) algorithm.
%
% (c) by Marco Maffezzoli, 7/1999.
%

er=0;
nl=size(fvl,2);
nt=size(mus,2);
ns=nt-nl;

qus=muu\mus;
que=muu\mue;
qusk=qus(:,1:ns);
qusl=qus(:,ns+1:nt);

msss0=ms0-mu0*qus;
msss1=ms1-mu1*qus;
msse0=me0+mu0*que;
msse1=me1+mu1*que;

w=-msss0\msss1;
a=msss0\(msse0*rho+msse1);

[lv,mv,er]=bk(w,a,rho,ns);

if er==0

   uv=[[qusk,que]+qusl*lv];
   fv=fvu*uv+fvv+fvl*lv;
   h=[uv;fv;lv];

else

   h=0;
   
end;