clear;
load output;

nexp=size(m_std,2);
t='	';

stdm(:,1)=mean(m_std')';
stdm(:,2)=median(m_std')';
stdm(:,3)=std(m_std')';
stdm(:,4)=min(m_std')';
stdm(:,5)=max(m_std')';

au(:,1)=mean(m_auc')';
au(:,2)=median(m_auc')';
au(:,3)=std(m_auc')';
au(:,4)=min(m_auc')';
au(:,5)=max(m_auc')';

cor(:,1)=mean(m_cor')';
cor(:,2)=median(m_cor')';
cor(:,3)=std(m_cor')';
cor(:,4)=min(m_cor')';
cor(:,5)=max(m_cor')';

for j=1:3

    st_inf(j,1)=mean(inf_st(j,:));
    st_inf(j,2)=median(inf_st(j,:));
    st_inf(j,3)=std(inf_st(j,:));
    st_inf(j,4)=min(inf_st(j,:));
    st_inf(j,5)=max(inf_st(j,:));

end;

delete output.txt;
diary output.txt;

clc
disp(['Performed simulations:           ' num2str(nexp)]);
disp(' ');
disp(' ');
disp('Relative Standard deviations:');
disp(' ');
tit='Var.	Avg	Med	Std	Min	Max';
f='%3.2f\t';
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(stdm,f)]);
disp(['PI ' t num2str(inf_st(1,:),f)]);
disp(' ');
disp('Autocorrelations:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v2,:) t(ones(size(v2,1),1),:) num2str(au,f)]);
disp(['PI ' t num2str(inf_st(2,:),f)]);
disp(' ');
disp('Correlations with Output:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(cor,f)]);
disp(['PI ' t num2str(inf_st(3,:),f)]);
disp(' ');

diary off;
clear;