clear;

main;
nexp=1000;	% Number of experiments
n=101;   	% Simulation horizon

v1=[cp;ip;pp;kp;bp;ap;ep];
v2=[yp;v1];

m_std=zeros(size(v1,1),nexp);
m_cor=zeros(size(v1,1),nexp);
m_auc=zeros(size(v2,1),nexp);
inf_st=zeros(3,nexp);
p_st=zeros(3,nexp);
sim=zeros(nvar,n);
inf=zeros(n,1);
ssval=steady(:,ones(1,n));

[h,mv]=kpr(muu,mus,mue,mu0,mu1,ms0,ms1,me0,me1,fvu,fvv,fvl,rho);

rn=1;
while rn<=nexp
	   	   
      sck=lmat*randn(ns+nn,n+1);
      s=sck(:,1);
	  
      for j=1:n;
          sim(:,j)=[s;h*s];
          s=mv*s+sck(:,j+1);
      end;
      
      for j=1:n-1;
          inf(j)=sim(ep,j)+sim(pp,j+1)-sim(pp,j);
      end;
       
      %sim=sim+log(ssval);
      %inf=exp(inf)*eta/g-1;
      
      disp(['Completed ' num2str(rn/nexp*100) '%']);
      
      sim=sim(:,1:n-1);
      inf=inf(1:n-1);
	  
      sim_hp=hpf(sim',1600);
      inf_hp=hpf(inf,1600);
	  
      m_std(:,rn)=(std(sim_hp(:,v1))/std(sim_hp(:,yp)))';
      m_auc(:,rn)=acor(sim_hp(:,v2),1)';
      x=corrcoef(sim_hp);
      m_cor(:,rn)=x(v1,yp);
	  
      inf_st(1,rn)=std(inf_hp)/std(sim_hp(:,yp));
      inf_st(2,rn)=acor(inf_hp,1)';
      x=corrcoef(inf_hp,sim_hp(:,yp));
      inf_st(3,rn)=x(1,2);
	  
      rn=rn+1;	

end;		   

stdm(:,1)=mean(m_std')';
stdm(:,2)=median(m_std')';
stdm(:,3)=std(m_std')';
stdm(:,4)=min(m_std')';
stdm(:,5)=max(m_std')';

au(:,1)=mean(m_auc')';
au(:,2)=median(m_auc')';
au(:,3)=std(m_auc')';
au(:,4)=min(m_auc')';
au(:,5)=max(m_auc')';

cor(:,1)=mean(m_cor')';
cor(:,2)=median(m_cor')';
cor(:,3)=std(m_cor')';
cor(:,4)=min(m_cor')';
cor(:,5)=max(m_cor')';

for j=1:3

    st_inf(j,1)=mean(inf_st(j,:));
    st_inf(j,2)=median(inf_st(j,:));
    st_inf(j,3)=std(inf_st(j,:));
    st_inf(j,4)=min(inf_st(j,:));
    st_inf(j,5)=max(inf_st(j,:));

end;

delete output.txt;
diary output.txt;

t='	';
clc
disp(['Performed simulations:           ' num2str(nexp)]);
disp(' ');
disp(' ');
disp('Relative Standard deviations:');
disp(' ');
tit='Var.	Avg	Med	Std	Min	Max';
f='%3.2f\t';
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(stdm,f)]);
disp(['PI ' t num2str(st_inf(1,:),f)]);
disp(' ');
disp('Autocorrelations:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v2,:) t(ones(size(v2,1),1),:) num2str(au,f)]);
disp(['PI ' t num2str(st_inf(2,:),f)]);
disp(' ');
disp('Correlations with Output:');
disp(' ');
disp(tit);
disp(' ');
disp([name(v1,:) t(ones(size(v1,1),1),:) num2str(cor,f)]);
disp(['PI ' t num2str(st_inf(3,:),f)]);
disp(' ');

diary off;